:root {
	--color_bg: #fbffff;
	--color_fg: #2c2927;
	--color_focus: #ff6600;

	--font-size-small: clamp(1rem, 2vw, 2vw);
	--font-size-mid: clamp(1.5rem, 3vw, 3vw);
	--font-size-big: clamp(2rem, 4vw, 4vw);
}

/* 
	global-elements 
*/

html,
body {
	margin: 2px;
	padding: 0px;
	background-color: var(--color_bg);
	color: var(--color_fg);
	font-family: 'Roboto', sans-serif;
	font-weight: 100;
	font-size: 16px;
	line-height: 1.25;
	/* overflow-x: hidden; */
}

p {
	margin-top: 2vh;
	margin-bottom: 2vh;
}

b {
	font-weight: 300;
}

section {
	margin-left: 2vw;
	margin-right: 2vw;
}

section.full-width,
figure {
	margin: 0;
}

/* 
	hyperlinks 
*/

a:link,
a:visited,
a:active {
	background-color: var(--color_fg);
	color: var(--color_bg);
	text-decoration: none;
}

a:hover {
	background-color: var(--color_focus);
	color: var(--color_bg);
}


/* 
	font-sizes
*/
h1,
h2,
h3,
h4 {
	font-weight: 300;
}

h1 {
	font-size: var(--font-size-big);
}

strong {
	font-weight: 300;
}

p.verysmall {
	font-size: calc(var(--font-size-small)/1.5);
}

p.small, div.small {
	font-size: var(--font-size-small);
}

p.mid {
	font-size: var(--font-size-mid);
}

p.big {
	font-size: var(--font-size-big);
}

.text-block {
	margin-top: 12vh;
	margin-bottom: 12vh;
}



/* 
	HOME embedded video 
*/

div.video,
div.video video  {
	width: 100vw;
	height: auto;
	display: block;
}

div.video .overlay-slope {
	position: relative;
	width: 102vw;
	height: 6vw;
	left: -1vw;
	rotate: -3deg;
	background-color: white;
	display: block;
}

div.video .overlay-slope.upper {
	top: 3vw;
}

div.video .overlay-slope.lower {
	top: -3vw;
}

/* 
	HOME svg images
*/
.blog {

	& img {
	   width: 40vw;
	   margin-left: 1vw;
	   margin-right: 1vw;
	   transition: transform 0.2s ease;
	   &:hover {
	    transform: scale(1.15);	   }
   	} 
    & a {
	  background: none;
	}

}

img#mail {
	width: clamp(300px, 30vw, 30vw);
	margin-left: auto;
	margin-right: auto;
}	

/*
	BLOG overview page
*/

.posts-wrapper {	/* grid-container */
	margin-top: 2vh;
	display: grid;
	grid-gap: 4px;
	grid-template-columns: repeat(3, 1fr);

	& .post-preview {		/* single image in a div */
		min-width: 0;
		& img {
			width: 100%;
			aspect-ratio: 1;
			object-fit: cover;
			display: block;
		}
	}

	& a {
		background-color: white;
		line-height: 0;
	}

}


/* 
.blog img {
	width: 600px;
	max-width: 100%;
	height: auto;
} */

.logo-jj {
	position: sticky;
	top: 0vh;
	background-color: white;
	& img {
		float: right;
		width: 100px;
	}
}

/* .clear {
	clear: right;
} */

.tags {
	& ul {
		padding: 0;
		
		& li {
			font-size:	var(--font-size-small);
			list-style: none;
			display: inline-block;
			margin: 1px 0;
			
			& a {
				padding: 0 5px;
				color: var(--color_fg);
				background-color: lightgray;
			}

			& a:hover, &.selected{
				padding: 0 5px;
				color: var(--color_fg);
				background-color: var(--color_focus);
			}

		}
	}
}

/* 
.post {
	margin-bottom: 80px;
	position: relative;
} */

/* .post .sticky-title {
	position: sticky;
	top: 50px;
	background: white;
	z-index: 10;
	padding: 0 0;
} */

/* .post .title h2 {
	margin: 0px;
}
.post .date {
	font-size: 0.8em;
} */
/* .post .blog-description {
	margin-top: 0px;
	margin-bottom: 0.5vh;
} */

/* .blog-media {
	width: 100%;
	height: auto;
} */
/* .lazy-video {
	background-color: grey;
} */


/*
	Picture Post
*/

.date {
	text-align: right;
}

.picturelist {
	& img {
		width: 100%;
	}
}

.videolist {
	& video {
		width: 100%;
		max-height: 80vh; 
		background: black;
	}
}

/* 
	footer 
*/

footer a:hover,
footer a:link,
footer a:visited,
footer a:active {
	background-color: var(--color_bg);
	color: var(--color_fg);
	text-decoration: underline;
}

footer {
	margin-top: clamp(4vh, 20vh, 12vw);
	margin-bottom: clamp(4vh, 20vh, 12vw);
}